XmToggleButtonGadget(3)

NAME
XmToggleButtonGadget - Motif-compatible toggle-button gadget

SYNOPSIS
#include <Xm/ToggleBG.h>

XmToggleButtonGadget

XmCreateToggleButtonGadget

DESCRIPTION
XmToggleButtonGadget

X RESOURCES
Name | Class | Type | Default | Access
XmNset | XmCSet | Boolean | NULL | CSG
XmNvalueChangedCallback | XmCValueChangedCallback | Callback | NULL | CSG
XmNarmCallback | XmCArmCallback | Callback | NULL | CSG
XmNdisarmCallback | XmCDisarmCallback | Callback | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG

XmNset

XmNvalueChangedCallback

XmNarmCallback

XmNdisarmCallback

XmNtraversalOn

XmNhighlightThickness

CLASS HIERARCHY
XObject(3) Rect(3) XmGadget(3) XmLabelGadget(3) XmToggleButtonGadget(3)

CALLBACKS

CONVENIENCE FUNCTIONS

SEE ALSO